//maindat.h

#ifndef	_maindat_h_
#define _maindat_h_

#include <Arduino.h>
#include "config.h"

/*
*********************
* рабочие данные * 
*********************
*/
//контрольный регистр
extern int16_t	CntrlReg;
//время цикла
extern uint16_t timeCycleMax;
//массив данных для сервомашин
extern int16_t  dservo[SERVO_COUNT]  ;
//массив данных для моторов
extern int16_t  dmotor[MOTOR_COUNT]  ;
//переменные управления
//переменные управления
#define	_cnt_motmove	2	//правые и левые моторы
#define _Lmotmove	0	//левая пара моторов
#define _Rmotmove	1	//правая пара моторов
#define _cmt_servomove	2	//горизонтальная и вертикальная сервомашины
#define _Hservomove	0	//горизонтальная сервомашина
#define _Vservomove	1	//вертикальная сервомашина
typedef struct _MOVECTRL
{
	int16_t		motors[_cnt_motmove];
	uint16_t	speed_motors[_cnt_motmove];
	int16_t		servo[_cmt_servomove];
	uint16_t	servo_speed[_cmt_servomove];
} MOVECTRL;

extern MOVECTRL	movectrl;
extern MOVECTRL	rdmovectrl;

extern uint8_t flag_movectrl;

#endif


